/*
 * Shortcode: nav-tabs-pricing.scss
 * -----------------------------------------------
*/
.tm-sc-nav-tabs-pricing {
	.nav-tabs {
		margin-bottom: 60px;

		li {
			display: inline-block;
			margin-bottom: 0;
			float: none;

			a {
				span {
					&.title {
					}
					&.subtitle {
						font-size: 0.8rem;
						padding-left: 5px;
						font-weight: normal;
						color: #41508a;
						padding: 0 14px;
						background-color: #cfefec;
						border-radius: 2px;
						line-height: 27px;
						margin-left: 10px;
					}
				}
			}
		}
	}
	&.nav-tab-btn-button {
		.nav-tabs {
			margin: 0;
			padding: 0;
			list-style: none;
			border: 0;
			justify-content: center;
			font-size: 0;
			margin-bottom: 60px;

			li {
				display: inline-block;
				margin-bottom: 0;

				a {
					display: block;
					border: none;
					outline: none;
					display: inline-block;
					padding: .9375rem 2.1875rem;
					cursor: pointer;
					border-radius: 0;
					transition: all 0.4s ease;

					border-style: solid;
					border-width: 1px;
					border-color: rgb(234, 234, 234);
					background-color: rgb(254, 253, 254);
					box-shadow: 0px 15px 30px 0px rgba(119, 123, 146, 0.1);

					&:hover {
						border-color: #333;
						background: #333;
						color: #FFFFFF;
					}

					&.active {
						border-color: #333;
						background: #333;
						color: #FFFFFF;
					}
					span {
						&.title {
						}
						&.subtitle {
							padding-left: 5px;
						}
					}
				}

				&:first-child {
					a {

						border-top-left-radius: 4px;
						border-bottom-left-radius: 4px;
					}
				}

				&:last-child {
					a {
						border-top-right-radius: 4px;
						border-bottom-right-radius: 4px;
					}
				}
			}
		}
		&.button-rounded {
			.nav-tabs {
				li {
					&:first-child {
						a {
							border-top-left-radius: 50px;
							border-bottom-left-radius: 50px;
						}
					}

					&:last-child {
						a {
							border-top-right-radius: 50px;
							border-bottom-right-radius: 50px;
						}
					}
				}
			}
		}
	}
	&.nav-tab-btn-switch {
		position: relative;
		.nav-tabs {
			position: relative;
			display: block;
			margin-bottom: 60px;
			text-align: center;
			&:before{
				position: absolute;
				left: 0;
				right: 0;
				margin: 0 auto;
				height: 40px;
				width: 90px;
				content: "";
				border-radius: 40px;
				background-image: -webkit-linear-gradient( 0deg, rgb(11,11,11) 30%, rgb(55,55,55) 100%);
				background-image: -ms-linear-gradient( 0deg, rgb(11,11,11) 30%, rgb(55,55,55) 100%);
			}
			li {
				position: relative;
				display: inline-block;
				padding-right: 70px;
				min-width: 120px;
				text-align: right;
				line-height: 40px;
				color: #222;
				font-weight: 300;
				cursor: pointer;
				float: none;
				&:before{
					position: absolute;
					top: 5px;
					height: 30px;
					width: 30px;
					background-color: #ffffff;
					border-radius: 30px;
					content: "";
					right: -30px;
					-webkit-box-shadow: 0 4px 20px rgba(11,11,11,.30);
					        box-shadow: 0 4px 20px rgba(11,11,11,.30);
					-webkit-transition: all 300ms ease;
					-o-transition: all 300ms ease;
					transition: all 300ms ease;
				}
				a {
					padding: 0;
					background: none !important;
					font-weight: $font-weight-normal;
					font-size: 18px;
					span {
						&.title {
						}
						&.subtitle {
							position: absolute;
							right: -60px;
							top: 50%;
							transform: translateY(-50%);
							@include media-breakpoint-down(sm) {
								display: none;
							}
						}
					}
				}
				&:last-child{
					padding-right: 0;
					padding-left: 45px;
					text-align: left;
					&:before{
						display: none;
					}
				}
				&.active {
					&:before{
						right: 18px;
					}
					a {
						color: $headings-color;
					}
				}
				&:hover {
					a {
						color: $headings-color;
					}
				}
			}
		}
	}
	&.nav-tab-btn-bullet {
		position: relative;
		text-align: center;
		.nav-tabs {
			position: relative;
			display: -webkit-inline-box;
			display: -ms-inline-flexbox;
			display: inline-flex;
			-webkit-box-align: center;
			-ms-flex-align: center;
			align-items: center;
			-webkit-box-pack: justify;
			-ms-flex-pack: justify;
			justify-content: space-between;
			border-radius: 100px;
			background: #f7f7f7;
			-webkit-box-shadow: 0 0 0 5px #f5f5f5;
			box-shadow: 0 0 0 5px #f5f5f5;
			z-index: 1;
			overflow: hidden;
			li {
				position: relative;
				text-align: center;
				&:last-child:before {
					position: absolute;
					bottom: 0;
					left: 0;
					width: 100%;
					height: 100%;
					background: #555;
					content: '';
					-webkit-transition: -webkit-transform 0.3s;
					transition: -webkit-transform 0.3s;
					-o-transition: transform 0.3s;
					transition: transform 0.3s;
					transition: transform 0.3s, -webkit-transform 0.3s;
					border-radius: 100px;
					z-index: -1;
				}
				&:last-child.active:before {
					-webkit-transform: translate3d(0, 0, 0);
					transform: translate3d(0, 0, 0);
				}
				&:first-child.active ~ li:last-child:before {
					-webkit-transform: translate3d(-101%, 0, 0);
					transform: translate3d(-101%, 0, 0);
					width: 158%;
				}
				a {
					padding: 0;
					font-weight: $font-weight-normal;
					font-size: 18px;
					display: inline-block;

					padding: .8rem 2.5rem;
					-webkit-transition: .3s;
					-o-transition: .3s;
					transition: .3s;
					span {
						&.title {
						}
						&.subtitle {
							@include media-breakpoint-down(sm) {
								display: none;
							}
						}
					}
				}
				&.active {
					a {
						color: #fff;
					}
				}
			}
		}
		.tab-content {
			text-align: left;
		}
	}
	.tab-content {
		border: none;
	}
}
